#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

#define MAX 25

int Rand(int n) {
    return (int)(rand() / (RAND_MAX + 1.0) * n);
}

int main()
{
    int m, n, i, j;
    int xw[MAX][MAX];

    srand(time(0));

    for ( int c = 0; c < 30; c++ ) {
        m = Rand(MAX - 1) + 2;
        n = Rand(MAX - 1) + 2;
        
        memset(xw, 0, sizeof xw);
        int fill = m * n / ( Rand(4) + 2 );

        for ( int k = 0; k < fill; k++ ) {
            int v = Rand(m * n);
            while ( xw[v / n][v % n] == 1 ) v = Rand(m * n);
            xw[v / n][v % n] = 1;
        }

        printf("%d %d\n", m, n);
        for ( i = 0; i < m; i++ ) {
            for ( j = 0; j < n; j++ )
                printf("%d ", xw[i][j]);
            printf("\n");
        }
    }
    printf("0 0\n");

    return 0;
}
